﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

/*
 * A countdown timer for the Prefight scene
 * Will atuomatically proceed to arena when ready
 */
public class Prefight : MonoBehaviour {

	public int time;
    public Text playerName;
    public Text enemyName;
    private PlayerStats player;
    private setEnemyAppearance enemy;

    void Start() {
        player = GameObject.Find("ShopPlayer").GetComponent<PlayerStats>();
        enemy = GameObject.Find("Enemy").GetComponent<setEnemyAppearance>();
    }
		
    void Update () {
        playerName.text = PlayerStats.playerName;
        enemyName.text = setEnemyAppearance.enemyName;
        if (time > 0) {
			time--;
		}
		else {
			SceneManager.LoadScene("arena");
		}
	}
}
